org.gjt.sp.jedit.gui

## Interface DockableWindowContainer

- All Known Implementing Classes:
    FloatingWindowContainer, PanelWindowContainer

      public interface DockableWindowContainer

  A container for dockable windows. This class should never be used directly, and is not public.
  Since:
    jEdit 2.6pre3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isVisible(org.gjt.sp.jedit.gui.DockableWindowManagerImpl.Entry entry)`
    `void` | `register(org.gjt.sp.jedit.gui.DockableWindowManagerImpl.Entry entry)`
    `void` | `remove(org.gjt.sp.jedit.gui.DockableWindowManagerImpl.Entry entry)`
    `void` | `show(org.gjt.sp.jedit.gui.DockableWindowManagerImpl.Entry entry)`
    `void` | `unregister(org.gjt.sp.jedit.gui.DockableWindowManagerImpl.Entry entry)`

- - ### Method Detail

    - #### register

          void register(org.gjt.sp.jedit.gui.DockableWindowManagerImpl.Entry entry)

    - #### remove

          void remove(org.gjt.sp.jedit.gui.DockableWindowManagerImpl.Entry entry)

    - #### unregister

          void unregister(org.gjt.sp.jedit.gui.DockableWindowManagerImpl.Entry entry)

    - #### show

          void show(org.gjt.sp.jedit.gui.DockableWindowManagerImpl.Entry entry)

    - #### isVisible

          boolean isVisible(org.gjt.sp.jedit.gui.DockableWindowManagerImpl.Entry entry)